var _excluded = ["onSearchCustomize"];

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React, { useRef } from 'react';
import { Icon, Input } from 'rlj-design';

var CustomizeSearch = function CustomizeSearch(_ref) {
  var onSearchCustomize = _ref.onSearchCustomize,
      rest = _objectWithoutProperties(_ref, _excluded);

  var inputRef = useRef(null); // 监听清除事件

  var handleChange = function handleChange(e) {
    var value = e.target.value;

    if (!value && e.type !== 'change') {
      onSearchCustomize === null || onSearchCustomize === void 0 ? void 0 : onSearchCustomize(e.target.value);
    }
  };

  return /*#__PURE__*/React.createElement(Input, _extends({
    placeholder: "\u8BF7\u641C\u7D22",
    ref: inputRef,
    onPressEnter: function onPressEnter() {
      return onSearchCustomize === null || onSearchCustomize === void 0 ? void 0 : onSearchCustomize(inputRef.current.input.value);
    },
    prefix: /*#__PURE__*/React.createElement(Icon, {
      type: "search",
      onClick: function onClick() {
        return onSearchCustomize === null || onSearchCustomize === void 0 ? void 0 : onSearchCustomize(inputRef.current.input.value);
      }
    }),
    onChange: handleChange
  }, rest));
};

export default CustomizeSearch;